DocMkrTextInternal::SubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
DocMkrTextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a DocMkrText. More...

Inheritance diagram for DocMkrTextInternal::SubDocument:

## Public Member Functions
| SubDocument (DocMkrText &pars, MWAWInputStreamPtr const &input, int id, libmwaw::SubDocumentType type)
| constructor for a footer zone More...
| SubDocument (DocMkrText &pars, MWAWInputStreamPtr const &input, std::string const &text, libmwaw::SubDocumentType type)
| constructor for a comment zone More...
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| comparison operator!= More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...
virtual void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType subDocumentType)=0
| virtual parse function More...

## Protected Attributes
DocMkrText * | m_textParser
| the text parser More...
int | m_id
| the subdocument id More...
std::string | m_text
| the string text More...
libmwaw::SubDocumentType | m_type
| the subdocument type More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a DocMkrText.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

DocMkrTextInternal::SubDocument::SubDocument | ( | DocMkrText & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | id,
|  | libmwaw::SubDocumentType | type
| ) |  |
| inline

constructor for a footer zone

## ◆ SubDocument() [2/3]

DocMkrTextInternal::SubDocument::SubDocument | ( | DocMkrText & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | std::string const & | text,
|  | libmwaw::SubDocumentType | type
| ) |  |
| inline

constructor for a comment zone

## ◆ ~SubDocument()

DocMkrTextInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

DocMkrTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool DocMkrTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & DocMkrTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ parse()

void DocMkrTextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int DocMkrTextInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=(), and parse().

## ◆ m_text

std::string DocMkrTextInternal::SubDocument::m_text
| protected

the string text

Referenced by operator!=(), and parse().

## ◆ m_textParser

DocMkrText* DocMkrTextInternal::SubDocument::m_textParser
| protected

the text parser

Referenced by operator!=(), and parse().

## ◆ m_type

libmwaw::SubDocumentType DocMkrTextInternal::SubDocument::m_type
| protected

the subdocument type

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- DocMkrText.cxx